#!@php_bin@
<?php
    include_once("Horde/Kolab/Kolab_Zpush/lib/kolabActivesyncData.php");

    if ( $_SERVER["argc"] != 6)
    {
        echo "invalid argument\n";
        echo $_SERVER["argv"][0] . " alarm|sync 0|1 <serialNumber> <folder> <username>\n";
        exit;
    }
    $action=$_SERVER["argv"][1] ;
    $value=$_SERVER["argv"][2] ;
    $serial= $_SERVER["argv"][3] ;
    $folder= $_SERVER["argv"][4] ; 
    $user=$_SERVER["argv"][5] ;  
    if ( $action != "sync" && $action != "alarm")
    {
        echo "invalid argument\n";
        echo $_SERVER["argv"][0] . " alarm|sync 0|1 <serialNumber> <folder> <username>\n";
        exit;
    }
    if  ($vamue != 0 && $value != 1 )
    {
        echo "invalid argument\n";
        echo $_SERVER["argv"][0] . " alarm|sync 0|1 <serialNumber> <folder> <username>\n";
        exit;
    }
    echo"IMAP password: " ;
    $password =rtrim( fgets(STDIN));

    //open imap connection 
    $server = "{127.0.0.1:143/imap/notls/norsh}";
    $mbox = @imap_open($server , $user, $password, OP_HALFOPEN);
    if ( ! $mbox )
    {
        $err=imap_errors();
        echo "Connection error" ;
        exit();
    }
    // lecture des annotations du dossier
    $gp=new FolderParam(); 
    $result = imap_getannotation($mbox, $folder, "/vendor/kolab/activesync", "value.priv");
    if (isset($result["value.priv"])) 
    {
        $gp->unserialize($result["value.priv"]);
    }
    if ( $action == "sync")
    {
        if ( $value == 1)
        {
            $gp->setForSync($serial);
        }
        else
        {
            $gp->unsetForSync($serial);
        }
    }
    if ( $action == "alarm")
    {
        if ( $value == 1 )
        {
            $gp->setAlarm($serial);
        }
        else
        {
            $gp->unsetAlarm($serial);
        }
    }
    //write the annotation
    $anno=$gp->serialize();
    $result = @imap_setannotation($mbox, $folder, "/vendor/kolab/activesync", "value.priv",$anno);  
    if ( $result == false)
    {
        $err=imap_errors();
        foreach($err as $erreur)
        {
            echo "$erreur\n";
        }
        exit();
    }
    foreach( $gp->deviceList() as $device)
    {
        echo "$device  S:" . $gp->isForSync($device) . ", A:" . $gp->showAlarm($device) . "\n";
    }
    echo "OK wrote the annotation in $folder\n" ;
?>
