#!@php_bin@
<?php
    include_once("Horde/Kolab/Kolab_Zpush/lib/kolabActivesyncData.php");
   
    if ( $_SERVER["argc"] != 5)
    {
        echo "invalid argument\n";
        echo $_SERVER["argv"][0] . " <device type> 0|1 <serialNumber> <username>\n";
        exit;
    }
    $type=$_SERVER["argv"][1] ;
    $mode=$_SERVER["argv"][2] ;
    $serial= $_SERVER["argv"][3] ;
    $user=$_SERVER["argv"][4] ;  
    echo"IMAP password: " ;
    $password =rtrim( fgets(STDIN));

    //open imap connection 
      $server = "{127.0.0.1:143/imap/notls/norsh}";
    $mbox = @imap_open($server , $user, $password, OP_HALFOPEN);
    if ( ! $mbox )
    {
        $err=imap_errors();
        echo "Connection error" ;
        exit();
    }
    // lecture des annotations du dossier
    $gp=new GlobalParam(); 
    $result = imap_getannotation($mbox, 'INBOX', "/vendor/kolab/activesync", "value.priv");
    if (isset($result["value.priv"])) 
    {
          $gp->unserialize($result["value.priv"]);
    }
    $gp->setDevice($serial, $type, $mode);
    //write the annotation
    $anno=$gp->serialize();
     $result = @imap_setannotation($mbox, 'INBOX', "/vendor/kolab/activesync", "value.priv",$anno);  
     if ( $result == false)
     {
         $err=imap_errors();
         foreach($err as $erreur)
         {
             echo "$erreur\n";
         }
         exit();
     }
     foreach( $gp->deviceList() as $device)
     {
         echo "$device  Type:" . $gp->getDeviceType($device) . ", Mode:" . $gp->getDeviceMode($device) . "\n";
     }
     echo "OK wrote the annotation in $folder\n" ;
?>
